Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.rules
Class ImportWrapper

    java.lang.Object
      net.sourceforge.pmd.rules.ImportWrapper

public class ImportWrapper
extends java.lang.Object

Constructor Summary
`ImportWrapper(java.lang.String fullname, java.lang.String name, SimpleNode node)`

Method Summary
`boolean` | `equals(java.lang.Object other)`
`java.lang.String` | `getFullName()`
`java.lang.String` | `getName()`
`SimpleNode` | `getNode()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImportWrapper

    public ImportWrapper(java.lang.String fullname,
                         java.lang.String name,
                         SimpleNode node)

Method Detail

### equals

    public boolean equals(java.lang.Object other)

### hashCode

    public int hashCode()

### getName

    public java.lang.String getName()

### getFullName

    public java.lang.String getFullName()

### getNode

    public SimpleNode getNode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.